<?php
if( ! defined( 'ABSPATH' ) ) exit;

Class GNUPAY_INICIS_WOO_CONSTANTS {
    public function __construct() {

        define( 'GNUPAY_INICIS_VERSION', '1.3.6' );
        define( 'GNUPAY_INICIS', 'gnupay-inicis' );
        define( 'GNUPAY_INICIS_ORDER_TMP', '_order_tmp_inicis' );
        define('GNUPAY_INICIS_DEBUG',  true );

        add_action( 'init', array( $this, 'init' ), 1 );
        add_action( 'init', array( $this, 'init_after' ),21 );

    }

    public function init(){
        //중복 선언 방지
        if ( defined('GNUPAY_INICIS_URL') ) return;

        // 함수 호출을 처음부터 호출하면 에러나기 때문에 적당한 때에 호출한다.
        // 경로 상수
        define('GNUPAY_INICIS_URL',  plugin_dir_url ( __FILE__ ) );
        define('GNUPAY_INICIS_PATH', plugin_dir_path( __FILE__ ) );
        define('GNUPAY_INICIS_SERVER_TIME',    current_time( 'timestamp' ) );
        define('GNUPAY_INICIS_KEY_PATH', WP_CONTENT_DIR.'/gnupay-inicis');
        define('GNUPAY_INICIS_MOBILE',    wp_is_mobile() );
        //define('GNUPAY_INICIS_MOBILE',    1 );
    }

    public function init_after(){

    }
}

new GNUPAY_INICIS_WOO_CONSTANTS();
?>