<?php
if( ! defined( 'ABSPATH' ) ) exit; // 개별 페이지 접근 불가

$config['de_admin_company_name'] = apply_filters('gp_inicis_de_admin_company_name', get_bloginfo('name'));

GNUPAY_INICIS()->config = $config;

if( GNUPAY_INICIS_MOBILE ){  //모바일이면
    include( __DIR__ ."/m_orderform.2.php");
    return;
}

add_action( 'wp_footer', 'gnupay_inicis_orderform_hidden', 10 );
if( !function_exists('gnupay_inicis_orderform_hidden') ){
function gnupay_inicis_orderform_hidden(){

    $config = GNUPAY_INICIS()->config;
    extract(GNUPAY_INICIS()->goodsinfo);

    $currency_string = 'WON';   //한국 WON ( 기본 )

    if( in_array( get_woocommerce_currency(), array('AUD', 'ARS', 'CAD', 'CLP', 'COP', 'HKD', 'MXN', 'NZD', 'SGD', 'USD') ) ){   //달러
        $currency_string = 'USD';
    }
?>    
<div style="display:none">
    <form id="gnupay_inicis_form" name="" method="POST">
    <?php
        /* ============================================================================== */
        /* =   2. 가맹점 필수 정보 설정                                                 = */
        /* = -------------------------------------------------------------------------- = */
        /* =   ※ 필수 - 결제에 반드시 필요한 정보입니다.                               = */
        /* = -------------------------------------------------------------------------- = */
        // 요청종류 : 승인(pay)/취소,매입(mod) 요청시 사용
    ?>
        <input type="hidden" name="version"          value="1.0">
        <input type="hidden" name="mid"         value="<?php echo $config['de_inicis_mid']; ?>">

        <input type="hidden" name="order_id" value="" >
        <input type="hidden" name="oid" value="" >
        <input type="hidden" name="price"    value="">
        <input type="hidden" name="order_key"   value="">

        <input type="hidden" name="goodsname"    value="<?php echo $goods; ?>">
        <input type="hidden" name="buyername"   value="">
        <input type="hidden" name="buyeremail"  value="">
        <input type="hidden" name="parentemail" value="">
        <input type="hidden" name="buyertel"    value="">
        <input type="hidden" name="recvname"    value="">
        <input type="hidden" name="recvtel"     value="">
        <input type="hidden" name="recvaddr"    value="">
        <input type="hidden" name="recvpostnum" value="">

        <input type="hidden" name="timestamp" value="" >
        <input type="hidden" name="signature" value="" >
        <input type="hidden" name="returnUrl" value="" >
        <input type="hidden"  name="mKey" value="" >

        <!-- 필수 항목 : 결제 금액/화폐단위 -->
        <input type="hidden" name="currency"    value="<?php echo $currency_string; ?>">

        <!-- 결제방법 -->
        <input type="hidden" name="gopaymethod" value="">

        <?php //제공기간 ?>
        <input type="hidden" name="offerPeriod" value="" >
        <?php
        /*
        //  SKIN : 플러그인 스킨 칼라 변경 기능 - 6가지 칼라(ORIGINAL, GREEN, ORANGE, BLUE, KAKKI, GRAY)
        //  HPP : 컨텐츠 또는 실물 결제 여부에 따라 HPP(1)과 HPP(2)중 선택 적용(HPP(1):컨텐츠, HPP(2):실물).
        //  Card(0): 신용카드 지불시에 이니시스 대표 가맹점인 경우에 필수적으로 세팅 필요 ( 자체 가맹점인 경우에는 카드사의 계약에 따라 설정) - 자세한 내용은 메뉴얼  참조.
        //  OCB : OK CASH BAG 가맹점으로 신용카드 결제시에 OK CASH BAG 적립을 적용하시기 원하시면 "OCB" 세팅 필요 그 외에 경우에는 삭제해야 정상적인 결제 이루어짐.
        //  no_receipt : 은행계좌이체시 현금영수증 발행여부 체크박스 비활성화 (현금영수증 발급 계약이 되어 있어야 사용가능)
        */
        ?>
        <!-- <input type="hidden" name="acceptmethod" value="HPP(2):Card(0):no_receipt:cardpoint" > -->
        <input type="hidden" name="acceptmethod" value="HPP(2):Card(0):no_receipt:cardpoint<?php echo $useescrow; ?>">

        <?php
        /*
        //  플러그인 좌측 상단 상점 로고 이미지 사용
        //  이미지의 크기 : 90 X 34 pixels
        //  플러그인 좌측 상단에 상점 로고 이미지를 사용하실 수 있으며,
        //  주석을 풀고 이미지가 있는 URL을 입력하시면 플러그인 상단 부분에 상점 이미지를 삽입할수 있습니다.
        */
        ?>
        <!--input type="hidden" name="ini_logoimage_url"  value="http://[사용할 이미지주소]"-->

        <?php
        /*
        //  좌측 결제메뉴 위치에 이미지 추가
        //  이미지의 크기 : 단일 결제 수단 - 91 X 148 pixels, 신용카드/ISP/계좌이체/가상계좌 - 91 X 96 pixels
        //  좌측 결제메뉴 위치에 미미지를 추가하시 위해서는 담당 영업대표에게 사용여부 계약을 하신 후
        //  주석을 풀고 이미지가 있는 URL을 입력하시면 플러그인 좌측 결제메뉴 부분에 이미지를 삽입할수 있습니다.
        */
        ?>
        <!--input type="hidden" name="ini_menuarea_url" value="http://[사용할 이미지주소]"-->

        <?php //초기 표시 언어 ?>
        <input type="hidden" name="languageView" value="">

        <?php //리턴 인코딩 ?>
        <input type="hidden" name="charset" value="UTF-8">

        <?php //결제창 표시방법 ?>
        <input type="hidden" name="payViewType" value="">

        <?php //closeUrl ?>
        <input type="hidden" name="closeUrl" value="<?php echo add_query_arg(array('wc-api'=>'gnupay_inicis_returnurl', 'inicispay'=>'close'), home_url( '/' )); ?>" >

        <?php //popupUrl ?>
        <input type="hidden" name="popupUrl" value="<?php echo add_query_arg(array('wc-api'=>'gnupay_inicis_returnurl', 'inicispay'=>'popup'), home_url( '/' )); ?>" >

        <?php
        $cardNoInterestQuota = "11-2:3:,34-5:12,14-6:12:24,12-12:36,06-9:12,01-3:4";  // 카드 무이자 여부 설정(가맹점에서 직접 설정)
        $cardQuotaBase = "2:3:4:5:6:11:12:24:36";  // 가맹점에서 사용할 할부 개월수 설정
        ?>
        <input type="hidden" name="nointerest" value="<?php echo $cardNoInterestQuota ?>" >
        <input type="hidden" name="quotabase" value="<?php echo $cardQuotaBase ?>" >

        <input type="hidden" name="vbankRegNo" value="" >
        <input type="hidden" name="merchantData" value="" >
    <?php
    if( wc_tax_enabled() && $config['de_tax_flag_use'] == 'yes' ) {
           //총결제 금액은 과세금액 + 부과세 + 비과세금액의 합과 같아야 합니다.
           //(good_mny = comm_tax_mny + comm_vat_mny + comm_free_mny)
    ?>
        <input type="hidden" name="tax"         value="<?php echo $comm_vat_mny; ?>">   <?php /* 부가세 */ ?>
        <input type="hidden" name="taxfree"     value="<?php echo $comm_free_mny; ?>">  <?php /* 비과세 금액 */ ?>
    <?php
    }
    ?>

    </form>
</div>
<?php } //end function
}
?>